# Developing for DotKernel 3

- [Developing for DotKernel 3](#developing-for-dotkernel-3)
    - [Short Summary:](#short-summary)
        - [Bug Fixes](#bug-fixes)
        - [Security Vulnerabilities](#security-vulnerabilities)
    - [PSRs (PHP-FIG) & Standards in General](#psrs-php-fig-standards-in-general)

Start contributing to DotKernel 3 and become an official Community Developer - We are thankful for your contributions.

## Short Summary:

### Bug Fixes

Please create a pull request including a step by step description to reproduce the problem.

### Security Vulnerabilities

Please contact us ([security@dotkernel.com](mailto:security@dotkernel.com))

So, in very short - just fork the repository you wish to contribute to, and submit a pull request.

URL Format: `https://github.com/dotkernel/`**package**

## PSRs (PHP-FIG) & Standards in General

At the moment DotKernel 3 implements the following PSRs:

- PSR-1 ([Basic Coding Standard](../PSR/PSR-1.md))
- PSR-2 ([Coding Style Guide](../PSR/PSR-2.md))
- PSR-4 ([Autoloading Standard](../PSR/PSR-4.md))
- PSR-7 ([HTTP message interfaces](../PSR/PSR-7.md))
- PSR-11 ([Container Interface]((../PSR/PSR-11.md)))

> Please keep that in mind when contributing to DotKernel 3.

For further information please have a look at [http://www.php-fig.org/](http://www.php-fig.org/)
