# DotKernel 3 Documentation
---

#### DotKernel 3 is a collection of PSR-7 Middleware applications built on top of Zend Expressive microframework.

#### Before starting we recommend reading the articles in the Prerequisites section.

If there's anything you feel we could do better, please feel free to make pull requests!

<!-- This menu was hardcoded because .md files cannot be included directly in github repository -->
<!-- Note: Always work on _includes/menu.md and copy it here. NEVER MODIFY MENU DIRECTLY on this page -->
<!-- Replace "{{ site.url }}/" with "" -->
<!-- Replace '.html' with '.md' as html files are actually files generated from md files and will be replaced automatically  -->


<!-- DO NOT ADD ANYTHING BETWEEN THE DIVs AND THE MARKDOWN BELOW -->

<!-- BEGIN markdown_summary -->
<div id="beforeSummary">
</div>

* ### Before starting
* [Overview](Overview/)
  * [Developing for DotKernel 3](Overview/Developing-for-DotKernel-3.md)
  * [DotKernel 3 Overview](Overview/DotKernel-3-Overview.md)
* [Prerequisites](Prerequisites/)
  * [Closures and Callables](Prerequisites/Closures-and-Callables.md)
  * PSR-4: Autoloading
  * [Composer Quickstart](Prerequisites/Composer-Quickstart.md)
  * [Composer Package Versions](Prerequisites/Composer-Package-Versions.md)
  * [PSR-7 Interfaces & Zend Diactoros](Prerequisites/PSR-7.md)
  * PSR-11
  * [Understanding Middleware](Prerequisites/Understanding-Middleware.md)
  * [Zend Stratigility](Prerequisites/Zend-Stratigility.md)
  * Zend Expressive

* ### Introduction

* [Getting Started](Getting-Started/)
  * [Server Requirements](Getting-Started/Server-Requirements.md)
  * [Installing DotKernel 3 `frontend`](Getting-Started/Installing-DotKernel-3-Frontend.md)
  * DotKernel 3 file structure
  * DotKernel 3 packages
  * DotKernel 3 features
* [Tutorials](Tutorials/)
  * [Creating a Contact US Page](Tutorials/Creating-a-Contact-Us-Page/)
  * More tutorials soon

* ### Working with DotKernel 3

* [Guidelines](Guidelines/)
  * [PSR Guidelines](Guidelines/PSR/)
  * [Coding Guidelines](Guidelines/Coding-Guidelines/)
  * [Documentation Guidelines](Guidelines/Documentation-Guidelines/)
  * Creating an open source DotKernel 3 package (soon)
  * Creating a private DotKernel 3 package (soon)
* [dot-* packages](Packages/)
  * [View dot-* package list](Packages/README.md)

<div id="afterSummary">
</div>
<!-- END markdown_summary -->